Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.common.border
Class CompoundEmptyBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          javax.swing.border.CompoundBorder
              org.flexdock.plaf.common.border.CompoundEmptyBorder

All Implemented Interfaces:
  Serializable, Border

Direct Known Subclasses:
  InsetBorder

    public class CompoundEmptyBorder

extends CompoundBorder

Author:
  Christopher Butler
See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `CompoundEmptyBorder.MutableEmptyBorder`

Field Summary
`protected static Insets` | `EMPTY_INSETS`
`protected boolean` | `inner`

Fields inherited from class javax.swing.border.CompoundBorder
`insideBorder, outsideBorder`

Constructor Summary
`protected` | `CompoundEmptyBorder(Border outer, Border inner, boolean emptyInner)`

Method Summary
`static CompoundEmptyBorder` | `create(Border border, boolean inner)`
`static CompoundEmptyBorder` | `create(Border border, boolean inner, Insets base)`
`Insets` | `getEmptyInsets()`
`Border` | `getWrappedBorder()`
`boolean` | `setEmptyInsets(Insets insets)`
`boolean` | `setEmptyInsets(int top, int left, int bottom, int right)`

Methods inherited from class javax.swing.border.CompoundBorder
`getBorderInsets, getBorderInsets, getInsideBorder, getOutsideBorder, isBorderOpaque, paintBorder`

Methods inherited from class javax.swing.border.AbstractBorder
`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_INSETS

    protected static final Insets EMPTY_INSETS

### inner

    protected boolean inner

Constructor Detail

### CompoundEmptyBorder

    protected CompoundEmptyBorder(Border outer,
                                  Border inner,
                                  boolean emptyInner)

Method Detail

### create

    public static CompoundEmptyBorder create(Border border,
                                             boolean inner)

### create

    public static CompoundEmptyBorder create(Border border,
                                             boolean inner,
                                             Insets base)

### setEmptyInsets

    public boolean setEmptyInsets(Insets insets)

### setEmptyInsets

    public boolean setEmptyInsets(int top,
                                  int left,
                                  int bottom,
                                  int right)

### getEmptyInsets

    public Insets getEmptyInsets()

### getWrappedBorder

    public Border getWrappedBorder()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD